DB Manager: when adding a ;  at the end of a query, the layer cannot be loaded as a query layer

2014-07-08 06:52 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19219

Description

It seems that the parsing works differently for query layers when compared with normal queries (an extra ; is added at the end)

History

#1 - 2014-07-25 04:02 PM - Giuseppe Sucameli

While the query result data are fetched through python connectors, when loading a query layer the query is passed to QGIS provider as it is.

#2 - 2014-11-11 05:30 AM - Sandro Santilli

- Target version set to Version 2.6

as of 2.6.0 I can safely append a semicolon at the end of the query and load the postgis query as a layer.

Can you confirm, Paolo ?

#3 - 2014-11-11 05:31 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

this ticket is/was duplicate of another one, and the issue has been fixed before 2.6 release.
